Bug 1573152 - Inkscape crash in sp_document_namedview
Summary: Inkscape crash in sp_document_namedview
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: inkscape
Version: 29
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-30 11:11 UTC by David Nečas
Modified: 2019-01-21 02:02 UTC (History)
5 users (show)

Fixed In Version: inkscape-0.92.4-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-21 02:02:23 UTC


Attachments (Terms of Use)
SVG file which makes inkscape crash (102.35 KB, image/svg+xml)
2018-04-30 11:11 UTC, David Nečas
no flags Details

Description David Nečas 2018-04-30 11:11:35 UTC
Created attachment 1428777 [details]
SVG file which makes inkscape crash

Description of problem:
Inkscape crashes with failed assertion in sp_document_namedview() when opening some SVG files.


Version-Release number of selected component (if applicable):
inkscape-0.92.3-1.fc27


How reproducible:
Alwyas.


Steps to Reproduce:
1. Run ‘inkscape crashme.svg’ with the attached crashme.svg file (or the same with inkview).


Actual results:
It prints to stderr the following errors and then immediately crashes:

** (inkscape:12004): CRITICAL **: SPNamedView* sp_document_namedview(SPDocument*, const gchar*): assertion 'document != NULL' failed

Emergency save activated!
Emergency save completed. Inkscape will close now.
If you can reproduce this crash, please file a bug at www.inkscape.org
with a detailed description of the steps leading to the crash, so we can fix it.

** (inkscape:12004): CRITICAL **: SPNamedView* sp_document_namedview(SPDocument*, const gchar*): assertion 'document != NULL' failed
Segmentation fault (core dumped)


Expected results:
Inkscape is running with the file open.


Additional info:
This started specifically after the recent upgrade to inkscape-0.92.3-1.fc27. Earlier version inkscape-0.92.2-1.fc27 does not crash.

Not all SVG files crash, but a sizeable group does.  I have not found any common trait so far, except that the crashing SVGs seem to be old (definitely with the old DPI default).

Comment 1 Ben Cotton 2018-11-27 15:58:36 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 David Nečas 2018-11-27 17:19:50 UTC
The crash is still exactly the same in Fedora 29 (inkscape-0.92.3-5.fc29).

It has been fixed upstream though, see https://bugs.launchpad.net/inkscape/+bug/1769679.

Comment 3 Fedora Update System 2019-01-11 19:06:28 UTC
inkscape-0.92.3-9.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-7f9bfd58d0

Comment 4 Fedora Update System 2019-01-12 02:31:01 UTC
inkscape-0.92.3-9.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-7f9bfd58d0

Comment 5 Fedora Update System 2019-01-15 08:16:20 UTC
inkscape-0.92.3-10.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-5de93d92bd

Comment 6 Fedora Update System 2019-01-15 16:39:05 UTC
inkscape-0.92.3-11.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-85f17f2be2

Comment 7 Fedora Update System 2019-01-16 03:31:20 UTC
inkscape-0.92.3-11.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-85f17f2be2

Comment 8 Fedora Update System 2019-01-18 17:57:05 UTC
inkscape-0.92.4-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-1dd63e1bd4

Comment 9 Fedora Update System 2019-01-19 04:28:44 UTC
inkscape-0.92.4-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-1dd63e1bd4

Comment 10 David Nečas 2019-01-19 10:08:51 UTC
inkscape-0.92.4-1.fc29 seems to fix the crashes for me.  Thank you.

Comment 11 Fedora Update System 2019-01-21 02:02:23 UTC
inkscape-0.92.4-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.